Subject: bug#23914: 24.5; tramp-get-remote-path fails with some shells if tramp-own-remote-path is used

From: Michael Albinus <[email-masked]>
Date: Sun, 10 Jul 2016 17:07:24 +0200

Andreas Schwab <[email-masked]> writes:

>> evaluating its ~/.profile and friends. If somebody knows a portable way,
>> how one could determine the $PATH settings of a login shell, I'll add it
>> to Tramp happily.
>
> Traditionally, the bourne shell acts as a login shell if argv[0] starts
> with '-', and that's how login(1) does it.  Unfortunately, Emacs does
> not provide a way to alter the value of argv[0] passed to the inferior.

This wouldn't help. Tramp needs to invoke a login shell on the remote host.

I have added a note to the Tramp manual about this restriction (the
remote shell must support -l in order to use tramp-own-remote-path). I
have no idea what could be done else, so I propose to close this bug.

> Andreas.

Best regards, Michael.